IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network3.24.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
3.24.0.0- Broadcast address
3.31.255.255- First usable
3.24.0.1- Last usable
3.31.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
03180000· Integer51904512to52428799 - Reverse DNS zones
24.3.in-addr.arpa25.3.in-addr.arpa26.3.in-addr.arpa27.3.in-addr.arpa28.3.in-addr.arpa29.3.in-addr.arpa30.3.in-addr.arpa31.3.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000011.00011000.00000000.00000000 | 3.24.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000011.00011000.00000000.00000000 | 3.24.0.0 |
| Broadcast | 00000011.00011111.11111111.11111111 | 3.31.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
3.24.0.0/13 makes 256 subnets of /21.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 3.24.0.0/21 | 3.24.0.1 to 3.24.7.254 | 3.24.7.255 | 2,046 |
| 2 | 3.24.8.0/21 | 3.24.8.1 to 3.24.15.254 | 3.24.15.255 | 2,046 |
| 3 | 3.24.16.0/21 | 3.24.16.1 to 3.24.23.254 | 3.24.23.255 | 2,046 |
| 4 | 3.24.24.0/21 | 3.24.24.1 to 3.24.31.254 | 3.24.31.255 | 2,046 |
| 5 | 3.24.32.0/21 | 3.24.32.1 to 3.24.39.254 | 3.24.39.255 | 2,046 |
| 6 | 3.24.40.0/21 | 3.24.40.1 to 3.24.47.254 | 3.24.47.255 | 2,046 |
| 7 | 3.24.48.0/21 | 3.24.48.1 to 3.24.55.254 | 3.24.55.255 | 2,046 |
| 8 | 3.24.56.0/21 | 3.24.56.1 to 3.24.63.254 | 3.24.63.255 | 2,046 |
| 9 | 3.24.64.0/21 | 3.24.64.1 to 3.24.71.254 | 3.24.71.255 | 2,046 |
| 10 | 3.24.72.0/21 | 3.24.72.1 to 3.24.79.254 | 3.24.79.255 | 2,046 |
| 11 | 3.24.80.0/21 | 3.24.80.1 to 3.24.87.254 | 3.24.87.255 | 2,046 |
| 12 | 3.24.88.0/21 | 3.24.88.1 to 3.24.95.254 | 3.24.95.255 | 2,046 |
| 13 | 3.24.96.0/21 | 3.24.96.1 to 3.24.103.254 | 3.24.103.255 | 2,046 |
| 14 | 3.24.104.0/21 | 3.24.104.1 to 3.24.111.254 | 3.24.111.255 | 2,046 |
| 15 | 3.24.112.0/21 | 3.24.112.1 to 3.24.119.254 | 3.24.119.255 | 2,046 |
| 16 | 3.24.120.0/21 | 3.24.120.1 to 3.24.127.254 | 3.24.127.255 | 2,046 |
| 17 | 3.24.128.0/21 | 3.24.128.1 to 3.24.135.254 | 3.24.135.255 | 2,046 |
| 18 | 3.24.136.0/21 | 3.24.136.1 to 3.24.143.254 | 3.24.143.255 | 2,046 |
| 19 | 3.24.144.0/21 | 3.24.144.1 to 3.24.151.254 | 3.24.151.255 | 2,046 |
| 20 | 3.24.152.0/21 | 3.24.152.1 to 3.24.159.254 | 3.24.159.255 | 2,046 |
| 21 | 3.24.160.0/21 | 3.24.160.1 to 3.24.167.254 | 3.24.167.255 | 2,046 |
| 22 | 3.24.168.0/21 | 3.24.168.1 to 3.24.175.254 | 3.24.175.255 | 2,046 |
| 23 | 3.24.176.0/21 | 3.24.176.1 to 3.24.183.254 | 3.24.183.255 | 2,046 |
| 24 | 3.24.184.0/21 | 3.24.184.1 to 3.24.191.254 | 3.24.191.255 | 2,046 |
| 25 | 3.24.192.0/21 | 3.24.192.1 to 3.24.199.254 | 3.24.199.255 | 2,046 |
| 26 | 3.24.200.0/21 | 3.24.200.1 to 3.24.207.254 | 3.24.207.255 | 2,046 |
| 27 | 3.24.208.0/21 | 3.24.208.1 to 3.24.215.254 | 3.24.215.255 | 2,046 |
| 28 | 3.24.216.0/21 | 3.24.216.1 to 3.24.223.254 | 3.24.223.255 | 2,046 |
| 29 | 3.24.224.0/21 | 3.24.224.1 to 3.24.231.254 | 3.24.231.255 | 2,046 |
| 30 | 3.24.232.0/21 | 3.24.232.1 to 3.24.239.254 | 3.24.239.255 | 2,046 |
| 31 | 3.24.240.0/21 | 3.24.240.1 to 3.24.247.254 | 3.24.247.255 | 2,046 |
| 32 | 3.24.248.0/21 | 3.24.248.1 to 3.24.255.254 | 3.24.255.255 | 2,046 |
| 33 | 3.25.0.0/21 | 3.25.0.1 to 3.25.7.254 | 3.25.7.255 | 2,046 |
| 34 | 3.25.8.0/21 | 3.25.8.1 to 3.25.15.254 | 3.25.15.255 | 2,046 |
| 35 | 3.25.16.0/21 | 3.25.16.1 to 3.25.23.254 | 3.25.23.255 | 2,046 |
| 36 | 3.25.24.0/21 | 3.25.24.1 to 3.25.31.254 | 3.25.31.255 | 2,046 |
| 37 | 3.25.32.0/21 | 3.25.32.1 to 3.25.39.254 | 3.25.39.255 | 2,046 |
| 38 | 3.25.40.0/21 | 3.25.40.1 to 3.25.47.254 | 3.25.47.255 | 2,046 |
| 39 | 3.25.48.0/21 | 3.25.48.1 to 3.25.55.254 | 3.25.55.255 | 2,046 |
| 40 | 3.25.56.0/21 | 3.25.56.1 to 3.25.63.254 | 3.25.63.255 | 2,046 |
| 41 | 3.25.64.0/21 | 3.25.64.1 to 3.25.71.254 | 3.25.71.255 | 2,046 |
| 42 | 3.25.72.0/21 | 3.25.72.1 to 3.25.79.254 | 3.25.79.255 | 2,046 |
| 43 | 3.25.80.0/21 | 3.25.80.1 to 3.25.87.254 | 3.25.87.255 | 2,046 |
| 44 | 3.25.88.0/21 | 3.25.88.1 to 3.25.95.254 | 3.25.95.255 | 2,046 |
| 45 | 3.25.96.0/21 | 3.25.96.1 to 3.25.103.254 | 3.25.103.255 | 2,046 |
| 46 | 3.25.104.0/21 | 3.25.104.1 to 3.25.111.254 | 3.25.111.255 | 2,046 |
| 47 | 3.25.112.0/21 | 3.25.112.1 to 3.25.119.254 | 3.25.119.255 | 2,046 |
| 48 | 3.25.120.0/21 | 3.25.120.1 to 3.25.127.254 | 3.25.127.255 | 2,046 |
| 49 | 3.25.128.0/21 | 3.25.128.1 to 3.25.135.254 | 3.25.135.255 | 2,046 |
| 50 | 3.25.136.0/21 | 3.25.136.1 to 3.25.143.254 | 3.25.143.255 | 2,046 |
| 51 | 3.25.144.0/21 | 3.25.144.1 to 3.25.151.254 | 3.25.151.255 | 2,046 |
| 52 | 3.25.152.0/21 | 3.25.152.1 to 3.25.159.254 | 3.25.159.255 | 2,046 |
| 53 | 3.25.160.0/21 | 3.25.160.1 to 3.25.167.254 | 3.25.167.255 | 2,046 |
| 54 | 3.25.168.0/21 | 3.25.168.1 to 3.25.175.254 | 3.25.175.255 | 2,046 |
| 55 | 3.25.176.0/21 | 3.25.176.1 to 3.25.183.254 | 3.25.183.255 | 2,046 |
| 56 | 3.25.184.0/21 | 3.25.184.1 to 3.25.191.254 | 3.25.191.255 | 2,046 |
| 57 | 3.25.192.0/21 | 3.25.192.1 to 3.25.199.254 | 3.25.199.255 | 2,046 |
| 58 | 3.25.200.0/21 | 3.25.200.1 to 3.25.207.254 | 3.25.207.255 | 2,046 |
| 59 | 3.25.208.0/21 | 3.25.208.1 to 3.25.215.254 | 3.25.215.255 | 2,046 |
| 60 | 3.25.216.0/21 | 3.25.216.1 to 3.25.223.254 | 3.25.223.255 | 2,046 |
| 61 | 3.25.224.0/21 | 3.25.224.1 to 3.25.231.254 | 3.25.231.255 | 2,046 |
| 62 | 3.25.232.0/21 | 3.25.232.1 to 3.25.239.254 | 3.25.239.255 | 2,046 |
| 63 | 3.25.240.0/21 | 3.25.240.1 to 3.25.247.254 | 3.25.247.255 | 2,046 |
| 64 | 3.25.248.0/21 | 3.25.248.1 to 3.25.255.254 | 3.25.255.255 | 2,046 |
| 65 | 3.26.0.0/21 | 3.26.0.1 to 3.26.7.254 | 3.26.7.255 | 2,046 |
| 66 | 3.26.8.0/21 | 3.26.8.1 to 3.26.15.254 | 3.26.15.255 | 2,046 |
| 67 | 3.26.16.0/21 | 3.26.16.1 to 3.26.23.254 | 3.26.23.255 | 2,046 |
| 68 | 3.26.24.0/21 | 3.26.24.1 to 3.26.31.254 | 3.26.31.255 | 2,046 |
| 69 | 3.26.32.0/21 | 3.26.32.1 to 3.26.39.254 | 3.26.39.255 | 2,046 |
| 70 | 3.26.40.0/21 | 3.26.40.1 to 3.26.47.254 | 3.26.47.255 | 2,046 |
| 71 | 3.26.48.0/21 | 3.26.48.1 to 3.26.55.254 | 3.26.55.255 | 2,046 |
| 72 | 3.26.56.0/21 | 3.26.56.1 to 3.26.63.254 | 3.26.63.255 | 2,046 |
| 73 | 3.26.64.0/21 | 3.26.64.1 to 3.26.71.254 | 3.26.71.255 | 2,046 |
| 74 | 3.26.72.0/21 | 3.26.72.1 to 3.26.79.254 | 3.26.79.255 | 2,046 |
| 75 | 3.26.80.0/21 | 3.26.80.1 to 3.26.87.254 | 3.26.87.255 | 2,046 |
| 76 | 3.26.88.0/21 | 3.26.88.1 to 3.26.95.254 | 3.26.95.255 | 2,046 |
| 77 | 3.26.96.0/21 | 3.26.96.1 to 3.26.103.254 | 3.26.103.255 | 2,046 |
| 78 | 3.26.104.0/21 | 3.26.104.1 to 3.26.111.254 | 3.26.111.255 | 2,046 |
| 79 | 3.26.112.0/21 | 3.26.112.1 to 3.26.119.254 | 3.26.119.255 | 2,046 |
| 80 | 3.26.120.0/21 | 3.26.120.1 to 3.26.127.254 | 3.26.127.255 | 2,046 |
| 81 | 3.26.128.0/21 | 3.26.128.1 to 3.26.135.254 | 3.26.135.255 | 2,046 |
| 82 | 3.26.136.0/21 | 3.26.136.1 to 3.26.143.254 | 3.26.143.255 | 2,046 |
| 83 | 3.26.144.0/21 | 3.26.144.1 to 3.26.151.254 | 3.26.151.255 | 2,046 |
| 84 | 3.26.152.0/21 | 3.26.152.1 to 3.26.159.254 | 3.26.159.255 | 2,046 |
| 85 | 3.26.160.0/21 | 3.26.160.1 to 3.26.167.254 | 3.26.167.255 | 2,046 |
| 86 | 3.26.168.0/21 | 3.26.168.1 to 3.26.175.254 | 3.26.175.255 | 2,046 |
| 87 | 3.26.176.0/21 | 3.26.176.1 to 3.26.183.254 | 3.26.183.255 | 2,046 |
| 88 | 3.26.184.0/21 | 3.26.184.1 to 3.26.191.254 | 3.26.191.255 | 2,046 |
| 89 | 3.26.192.0/21 | 3.26.192.1 to 3.26.199.254 | 3.26.199.255 | 2,046 |
| 90 | 3.26.200.0/21 | 3.26.200.1 to 3.26.207.254 | 3.26.207.255 | 2,046 |
| 91 | 3.26.208.0/21 | 3.26.208.1 to 3.26.215.254 | 3.26.215.255 | 2,046 |
| 92 | 3.26.216.0/21 | 3.26.216.1 to 3.26.223.254 | 3.26.223.255 | 2,046 |
| 93 | 3.26.224.0/21 | 3.26.224.1 to 3.26.231.254 | 3.26.231.255 | 2,046 |
| 94 | 3.26.232.0/21 | 3.26.232.1 to 3.26.239.254 | 3.26.239.255 | 2,046 |
| 95 | 3.26.240.0/21 | 3.26.240.1 to 3.26.247.254 | 3.26.247.255 | 2,046 |
| 96 | 3.26.248.0/21 | 3.26.248.1 to 3.26.255.254 | 3.26.255.255 | 2,046 |
| 97 | 3.27.0.0/21 | 3.27.0.1 to 3.27.7.254 | 3.27.7.255 | 2,046 |
| 98 | 3.27.8.0/21 | 3.27.8.1 to 3.27.15.254 | 3.27.15.255 | 2,046 |
| 99 | 3.27.16.0/21 | 3.27.16.1 to 3.27.23.254 | 3.27.23.255 | 2,046 |
| 100 | 3.27.24.0/21 | 3.27.24.1 to 3.27.31.254 | 3.27.31.255 | 2,046 |
| 101 | 3.27.32.0/21 | 3.27.32.1 to 3.27.39.254 | 3.27.39.255 | 2,046 |
| 102 | 3.27.40.0/21 | 3.27.40.1 to 3.27.47.254 | 3.27.47.255 | 2,046 |
| 103 | 3.27.48.0/21 | 3.27.48.1 to 3.27.55.254 | 3.27.55.255 | 2,046 |
| 104 | 3.27.56.0/21 | 3.27.56.1 to 3.27.63.254 | 3.27.63.255 | 2,046 |
| 105 | 3.27.64.0/21 | 3.27.64.1 to 3.27.71.254 | 3.27.71.255 | 2,046 |
| 106 | 3.27.72.0/21 | 3.27.72.1 to 3.27.79.254 | 3.27.79.255 | 2,046 |
| 107 | 3.27.80.0/21 | 3.27.80.1 to 3.27.87.254 | 3.27.87.255 | 2,046 |
| 108 | 3.27.88.0/21 | 3.27.88.1 to 3.27.95.254 | 3.27.95.255 | 2,046 |
| 109 | 3.27.96.0/21 | 3.27.96.1 to 3.27.103.254 | 3.27.103.255 | 2,046 |
| 110 | 3.27.104.0/21 | 3.27.104.1 to 3.27.111.254 | 3.27.111.255 | 2,046 |
| 111 | 3.27.112.0/21 | 3.27.112.1 to 3.27.119.254 | 3.27.119.255 | 2,046 |
| 112 | 3.27.120.0/21 | 3.27.120.1 to 3.27.127.254 | 3.27.127.255 | 2,046 |
| 113 | 3.27.128.0/21 | 3.27.128.1 to 3.27.135.254 | 3.27.135.255 | 2,046 |
| 114 | 3.27.136.0/21 | 3.27.136.1 to 3.27.143.254 | 3.27.143.255 | 2,046 |
| 115 | 3.27.144.0/21 | 3.27.144.1 to 3.27.151.254 | 3.27.151.255 | 2,046 |
| 116 | 3.27.152.0/21 | 3.27.152.1 to 3.27.159.254 | 3.27.159.255 | 2,046 |
| 117 | 3.27.160.0/21 | 3.27.160.1 to 3.27.167.254 | 3.27.167.255 | 2,046 |
| 118 | 3.27.168.0/21 | 3.27.168.1 to 3.27.175.254 | 3.27.175.255 | 2,046 |
| 119 | 3.27.176.0/21 | 3.27.176.1 to 3.27.183.254 | 3.27.183.255 | 2,046 |
| 120 | 3.27.184.0/21 | 3.27.184.1 to 3.27.191.254 | 3.27.191.255 | 2,046 |
| 121 | 3.27.192.0/21 | 3.27.192.1 to 3.27.199.254 | 3.27.199.255 | 2,046 |
| 122 | 3.27.200.0/21 | 3.27.200.1 to 3.27.207.254 | 3.27.207.255 | 2,046 |
| 123 | 3.27.208.0/21 | 3.27.208.1 to 3.27.215.254 | 3.27.215.255 | 2,046 |
| 124 | 3.27.216.0/21 | 3.27.216.1 to 3.27.223.254 | 3.27.223.255 | 2,046 |
| 125 | 3.27.224.0/21 | 3.27.224.1 to 3.27.231.254 | 3.27.231.255 | 2,046 |
| 126 | 3.27.232.0/21 | 3.27.232.1 to 3.27.239.254 | 3.27.239.255 | 2,046 |
| 127 | 3.27.240.0/21 | 3.27.240.1 to 3.27.247.254 | 3.27.247.255 | 2,046 |
| 128 | 3.27.248.0/21 | 3.27.248.1 to 3.27.255.254 | 3.27.255.255 | 2,046 |
| 129 | 3.28.0.0/21 | 3.28.0.1 to 3.28.7.254 | 3.28.7.255 | 2,046 |
| 130 | 3.28.8.0/21 | 3.28.8.1 to 3.28.15.254 | 3.28.15.255 | 2,046 |
| 131 | 3.28.16.0/21 | 3.28.16.1 to 3.28.23.254 | 3.28.23.255 | 2,046 |
| 132 | 3.28.24.0/21 | 3.28.24.1 to 3.28.31.254 | 3.28.31.255 | 2,046 |
| 133 | 3.28.32.0/21 | 3.28.32.1 to 3.28.39.254 | 3.28.39.255 | 2,046 |
| 134 | 3.28.40.0/21 | 3.28.40.1 to 3.28.47.254 | 3.28.47.255 | 2,046 |
| 135 | 3.28.48.0/21 | 3.28.48.1 to 3.28.55.254 | 3.28.55.255 | 2,046 |
| 136 | 3.28.56.0/21 | 3.28.56.1 to 3.28.63.254 | 3.28.63.255 | 2,046 |
| 137 | 3.28.64.0/21 | 3.28.64.1 to 3.28.71.254 | 3.28.71.255 | 2,046 |
| 138 | 3.28.72.0/21 | 3.28.72.1 to 3.28.79.254 | 3.28.79.255 | 2,046 |
| 139 | 3.28.80.0/21 | 3.28.80.1 to 3.28.87.254 | 3.28.87.255 | 2,046 |
| 140 | 3.28.88.0/21 | 3.28.88.1 to 3.28.95.254 | 3.28.95.255 | 2,046 |
| 141 | 3.28.96.0/21 | 3.28.96.1 to 3.28.103.254 | 3.28.103.255 | 2,046 |
| 142 | 3.28.104.0/21 | 3.28.104.1 to 3.28.111.254 | 3.28.111.255 | 2,046 |
| 143 | 3.28.112.0/21 | 3.28.112.1 to 3.28.119.254 | 3.28.119.255 | 2,046 |
| 144 | 3.28.120.0/21 | 3.28.120.1 to 3.28.127.254 | 3.28.127.255 | 2,046 |
| 145 | 3.28.128.0/21 | 3.28.128.1 to 3.28.135.254 | 3.28.135.255 | 2,046 |
| 146 | 3.28.136.0/21 | 3.28.136.1 to 3.28.143.254 | 3.28.143.255 | 2,046 |
| 147 | 3.28.144.0/21 | 3.28.144.1 to 3.28.151.254 | 3.28.151.255 | 2,046 |
| 148 | 3.28.152.0/21 | 3.28.152.1 to 3.28.159.254 | 3.28.159.255 | 2,046 |
| 149 | 3.28.160.0/21 | 3.28.160.1 to 3.28.167.254 | 3.28.167.255 | 2,046 |
| 150 | 3.28.168.0/21 | 3.28.168.1 to 3.28.175.254 | 3.28.175.255 | 2,046 |
| 151 | 3.28.176.0/21 | 3.28.176.1 to 3.28.183.254 | 3.28.183.255 | 2,046 |
| 152 | 3.28.184.0/21 | 3.28.184.1 to 3.28.191.254 | 3.28.191.255 | 2,046 |
| 153 | 3.28.192.0/21 | 3.28.192.1 to 3.28.199.254 | 3.28.199.255 | 2,046 |
| 154 | 3.28.200.0/21 | 3.28.200.1 to 3.28.207.254 | 3.28.207.255 | 2,046 |
| 155 | 3.28.208.0/21 | 3.28.208.1 to 3.28.215.254 | 3.28.215.255 | 2,046 |
| 156 | 3.28.216.0/21 | 3.28.216.1 to 3.28.223.254 | 3.28.223.255 | 2,046 |
| 157 | 3.28.224.0/21 | 3.28.224.1 to 3.28.231.254 | 3.28.231.255 | 2,046 |
| 158 | 3.28.232.0/21 | 3.28.232.1 to 3.28.239.254 | 3.28.239.255 | 2,046 |
| 159 | 3.28.240.0/21 | 3.28.240.1 to 3.28.247.254 | 3.28.247.255 | 2,046 |
| 160 | 3.28.248.0/21 | 3.28.248.1 to 3.28.255.254 | 3.28.255.255 | 2,046 |
| 161 | 3.29.0.0/21 | 3.29.0.1 to 3.29.7.254 | 3.29.7.255 | 2,046 |
| 162 | 3.29.8.0/21 | 3.29.8.1 to 3.29.15.254 | 3.29.15.255 | 2,046 |
| 163 | 3.29.16.0/21 | 3.29.16.1 to 3.29.23.254 | 3.29.23.255 | 2,046 |
| 164 | 3.29.24.0/21 | 3.29.24.1 to 3.29.31.254 | 3.29.31.255 | 2,046 |
| 165 | 3.29.32.0/21 | 3.29.32.1 to 3.29.39.254 | 3.29.39.255 | 2,046 |
| 166 | 3.29.40.0/21 | 3.29.40.1 to 3.29.47.254 | 3.29.47.255 | 2,046 |
| 167 | 3.29.48.0/21 | 3.29.48.1 to 3.29.55.254 | 3.29.55.255 | 2,046 |
| 168 | 3.29.56.0/21 | 3.29.56.1 to 3.29.63.254 | 3.29.63.255 | 2,046 |
| 169 | 3.29.64.0/21 | 3.29.64.1 to 3.29.71.254 | 3.29.71.255 | 2,046 |
| 170 | 3.29.72.0/21 | 3.29.72.1 to 3.29.79.254 | 3.29.79.255 | 2,046 |
| 171 | 3.29.80.0/21 | 3.29.80.1 to 3.29.87.254 | 3.29.87.255 | 2,046 |
| 172 | 3.29.88.0/21 | 3.29.88.1 to 3.29.95.254 | 3.29.95.255 | 2,046 |
| 173 | 3.29.96.0/21 | 3.29.96.1 to 3.29.103.254 | 3.29.103.255 | 2,046 |
| 174 | 3.29.104.0/21 | 3.29.104.1 to 3.29.111.254 | 3.29.111.255 | 2,046 |
| 175 | 3.29.112.0/21 | 3.29.112.1 to 3.29.119.254 | 3.29.119.255 | 2,046 |
| 176 | 3.29.120.0/21 | 3.29.120.1 to 3.29.127.254 | 3.29.127.255 | 2,046 |
| 177 | 3.29.128.0/21 | 3.29.128.1 to 3.29.135.254 | 3.29.135.255 | 2,046 |
| 178 | 3.29.136.0/21 | 3.29.136.1 to 3.29.143.254 | 3.29.143.255 | 2,046 |
| 179 | 3.29.144.0/21 | 3.29.144.1 to 3.29.151.254 | 3.29.151.255 | 2,046 |
| 180 | 3.29.152.0/21 | 3.29.152.1 to 3.29.159.254 | 3.29.159.255 | 2,046 |
| 181 | 3.29.160.0/21 | 3.29.160.1 to 3.29.167.254 | 3.29.167.255 | 2,046 |
| 182 | 3.29.168.0/21 | 3.29.168.1 to 3.29.175.254 | 3.29.175.255 | 2,046 |
| 183 | 3.29.176.0/21 | 3.29.176.1 to 3.29.183.254 | 3.29.183.255 | 2,046 |
| 184 | 3.29.184.0/21 | 3.29.184.1 to 3.29.191.254 | 3.29.191.255 | 2,046 |
| 185 | 3.29.192.0/21 | 3.29.192.1 to 3.29.199.254 | 3.29.199.255 | 2,046 |
| 186 | 3.29.200.0/21 | 3.29.200.1 to 3.29.207.254 | 3.29.207.255 | 2,046 |
| 187 | 3.29.208.0/21 | 3.29.208.1 to 3.29.215.254 | 3.29.215.255 | 2,046 |
| 188 | 3.29.216.0/21 | 3.29.216.1 to 3.29.223.254 | 3.29.223.255 | 2,046 |
| 189 | 3.29.224.0/21 | 3.29.224.1 to 3.29.231.254 | 3.29.231.255 | 2,046 |
| 190 | 3.29.232.0/21 | 3.29.232.1 to 3.29.239.254 | 3.29.239.255 | 2,046 |
| 191 | 3.29.240.0/21 | 3.29.240.1 to 3.29.247.254 | 3.29.247.255 | 2,046 |
| 192 | 3.29.248.0/21 | 3.29.248.1 to 3.29.255.254 | 3.29.255.255 | 2,046 |
| 193 | 3.30.0.0/21 | 3.30.0.1 to 3.30.7.254 | 3.30.7.255 | 2,046 |
| 194 | 3.30.8.0/21 | 3.30.8.1 to 3.30.15.254 | 3.30.15.255 | 2,046 |
| 195 | 3.30.16.0/21 | 3.30.16.1 to 3.30.23.254 | 3.30.23.255 | 2,046 |
| 196 | 3.30.24.0/21 | 3.30.24.1 to 3.30.31.254 | 3.30.31.255 | 2,046 |
| 197 | 3.30.32.0/21 | 3.30.32.1 to 3.30.39.254 | 3.30.39.255 | 2,046 |
| 198 | 3.30.40.0/21 | 3.30.40.1 to 3.30.47.254 | 3.30.47.255 | 2,046 |
| 199 | 3.30.48.0/21 | 3.30.48.1 to 3.30.55.254 | 3.30.55.255 | 2,046 |
| 200 | 3.30.56.0/21 | 3.30.56.1 to 3.30.63.254 | 3.30.63.255 | 2,046 |
| 201 | 3.30.64.0/21 | 3.30.64.1 to 3.30.71.254 | 3.30.71.255 | 2,046 |
| 202 | 3.30.72.0/21 | 3.30.72.1 to 3.30.79.254 | 3.30.79.255 | 2,046 |
| 203 | 3.30.80.0/21 | 3.30.80.1 to 3.30.87.254 | 3.30.87.255 | 2,046 |
| 204 | 3.30.88.0/21 | 3.30.88.1 to 3.30.95.254 | 3.30.95.255 | 2,046 |
| 205 | 3.30.96.0/21 | 3.30.96.1 to 3.30.103.254 | 3.30.103.255 | 2,046 |
| 206 | 3.30.104.0/21 | 3.30.104.1 to 3.30.111.254 | 3.30.111.255 | 2,046 |
| 207 | 3.30.112.0/21 | 3.30.112.1 to 3.30.119.254 | 3.30.119.255 | 2,046 |
| 208 | 3.30.120.0/21 | 3.30.120.1 to 3.30.127.254 | 3.30.127.255 | 2,046 |
| 209 | 3.30.128.0/21 | 3.30.128.1 to 3.30.135.254 | 3.30.135.255 | 2,046 |
| 210 | 3.30.136.0/21 | 3.30.136.1 to 3.30.143.254 | 3.30.143.255 | 2,046 |
| 211 | 3.30.144.0/21 | 3.30.144.1 to 3.30.151.254 | 3.30.151.255 | 2,046 |
| 212 | 3.30.152.0/21 | 3.30.152.1 to 3.30.159.254 | 3.30.159.255 | 2,046 |
| 213 | 3.30.160.0/21 | 3.30.160.1 to 3.30.167.254 | 3.30.167.255 | 2,046 |
| 214 | 3.30.168.0/21 | 3.30.168.1 to 3.30.175.254 | 3.30.175.255 | 2,046 |
| 215 | 3.30.176.0/21 | 3.30.176.1 to 3.30.183.254 | 3.30.183.255 | 2,046 |
| 216 | 3.30.184.0/21 | 3.30.184.1 to 3.30.191.254 | 3.30.191.255 | 2,046 |
| 217 | 3.30.192.0/21 | 3.30.192.1 to 3.30.199.254 | 3.30.199.255 | 2,046 |
| 218 | 3.30.200.0/21 | 3.30.200.1 to 3.30.207.254 | 3.30.207.255 | 2,046 |
| 219 | 3.30.208.0/21 | 3.30.208.1 to 3.30.215.254 | 3.30.215.255 | 2,046 |
| 220 | 3.30.216.0/21 | 3.30.216.1 to 3.30.223.254 | 3.30.223.255 | 2,046 |
| 221 | 3.30.224.0/21 | 3.30.224.1 to 3.30.231.254 | 3.30.231.255 | 2,046 |
| 222 | 3.30.232.0/21 | 3.30.232.1 to 3.30.239.254 | 3.30.239.255 | 2,046 |
| 223 | 3.30.240.0/21 | 3.30.240.1 to 3.30.247.254 | 3.30.247.255 | 2,046 |
| 224 | 3.30.248.0/21 | 3.30.248.1 to 3.30.255.254 | 3.30.255.255 | 2,046 |
| 225 | 3.31.0.0/21 | 3.31.0.1 to 3.31.7.254 | 3.31.7.255 | 2,046 |
| 226 | 3.31.8.0/21 | 3.31.8.1 to 3.31.15.254 | 3.31.15.255 | 2,046 |
| 227 | 3.31.16.0/21 | 3.31.16.1 to 3.31.23.254 | 3.31.23.255 | 2,046 |
| 228 | 3.31.24.0/21 | 3.31.24.1 to 3.31.31.254 | 3.31.31.255 | 2,046 |
| 229 | 3.31.32.0/21 | 3.31.32.1 to 3.31.39.254 | 3.31.39.255 | 2,046 |
| 230 | 3.31.40.0/21 | 3.31.40.1 to 3.31.47.254 | 3.31.47.255 | 2,046 |
| 231 | 3.31.48.0/21 | 3.31.48.1 to 3.31.55.254 | 3.31.55.255 | 2,046 |
| 232 | 3.31.56.0/21 | 3.31.56.1 to 3.31.63.254 | 3.31.63.255 | 2,046 |
| 233 | 3.31.64.0/21 | 3.31.64.1 to 3.31.71.254 | 3.31.71.255 | 2,046 |
| 234 | 3.31.72.0/21 | 3.31.72.1 to 3.31.79.254 | 3.31.79.255 | 2,046 |
| 235 | 3.31.80.0/21 | 3.31.80.1 to 3.31.87.254 | 3.31.87.255 | 2,046 |
| 236 | 3.31.88.0/21 | 3.31.88.1 to 3.31.95.254 | 3.31.95.255 | 2,046 |
| 237 | 3.31.96.0/21 | 3.31.96.1 to 3.31.103.254 | 3.31.103.255 | 2,046 |
| 238 | 3.31.104.0/21 | 3.31.104.1 to 3.31.111.254 | 3.31.111.255 | 2,046 |
| 239 | 3.31.112.0/21 | 3.31.112.1 to 3.31.119.254 | 3.31.119.255 | 2,046 |
| 240 | 3.31.120.0/21 | 3.31.120.1 to 3.31.127.254 | 3.31.127.255 | 2,046 |
| 241 | 3.31.128.0/21 | 3.31.128.1 to 3.31.135.254 | 3.31.135.255 | 2,046 |
| 242 | 3.31.136.0/21 | 3.31.136.1 to 3.31.143.254 | 3.31.143.255 | 2,046 |
| 243 | 3.31.144.0/21 | 3.31.144.1 to 3.31.151.254 | 3.31.151.255 | 2,046 |
| 244 | 3.31.152.0/21 | 3.31.152.1 to 3.31.159.254 | 3.31.159.255 | 2,046 |
| 245 | 3.31.160.0/21 | 3.31.160.1 to 3.31.167.254 | 3.31.167.255 | 2,046 |
| 246 | 3.31.168.0/21 | 3.31.168.1 to 3.31.175.254 | 3.31.175.255 | 2,046 |
| 247 | 3.31.176.0/21 | 3.31.176.1 to 3.31.183.254 | 3.31.183.255 | 2,046 |
| 248 | 3.31.184.0/21 | 3.31.184.1 to 3.31.191.254 | 3.31.191.255 | 2,046 |
| 249 | 3.31.192.0/21 | 3.31.192.1 to 3.31.199.254 | 3.31.199.255 | 2,046 |
| 250 | 3.31.200.0/21 | 3.31.200.1 to 3.31.207.254 | 3.31.207.255 | 2,046 |
| 251 | 3.31.208.0/21 | 3.31.208.1 to 3.31.215.254 | 3.31.215.255 | 2,046 |
| 252 | 3.31.216.0/21 | 3.31.216.1 to 3.31.223.254 | 3.31.223.255 | 2,046 |
| 253 | 3.31.224.0/21 | 3.31.224.1 to 3.31.231.254 | 3.31.231.255 | 2,046 |
| 254 | 3.31.232.0/21 | 3.31.232.1 to 3.31.239.254 | 3.31.239.255 | 2,046 |
| 255 | 3.31.240.0/21 | 3.31.240.1 to 3.31.247.254 | 3.31.247.255 | 2,046 |
| 256 | 3.31.248.0/21 | 3.31.248.1 to 3.31.255.254 | 3.31.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |